Bug 81226 - VIEWING: Cursor to jump to end of line when pressing the down key, if the line is the last line of the document
Summary: VIEWING: Cursor to jump to end of line when pressing the down key, if the lin...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.1.5.3 release
Hardware: Other All
: medium enhancement
Assignee: Canberk TURAN
URL:
Whiteboard: BSA target:7.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-11 11:28 UTC by Noam Silvy
Modified: 2020-03-05 11:06 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Noam Silvy 2014-07-11 11:28:55 UTC
It would be quite handy to be able to do the following thing (possible on all other text editor I know) :
When your cursor is on the last line but not at the end of it, simply press the down arrow to go at the end of the file (end of that line).
Thank you !
              
Operating System: Mac OS X
Version: 4.1.5.3 release
Comment 1 Yousuf Philips (jay) (retired) 2014-07-11 12:10:56 UTC
Dear Noam,

I have seen this functionality in regular linux text editors like gedit/pluma and i guess it could be something worth having.
Comment 2 T.boubakar 2015-12-08 04:10:51 UTC
Hello. 
We are a french group of students who works on a project. That's why we decided to resolve this "bug". The only thing we need is to know in which file(s) we have to work. If someone know, it will be very helpful.
Thanks.
Comment 3 Commit Notification 2020-02-27 07:07:51 UTC
Canberk TURAN committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0aa0fda64057647219954480ac1bab86b0f0e433

tdf#81226: Cursor jumping fixed

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.